# Cookbook:: pentester
# Recipe:: automacchanger
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

template '/usr/local/bin/automacchanger' do
  owner 'root'
  group 'root'
  source 'automacchanger.sh.erb'
  mode '0750'
  variables ifaces: node['pentester']['automacchanger']['ifaces']
end

cookbook_file '/etc/systemd/system/automacchanger.service' do
  owner 'root'
  group 'root'
  mode '0640'
  source 'automacchanger.service'
end

service 'automacchanger' do
  action :enable
end
