# Cookbook:: pentester
# Recipe:: crackmapexec
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

runtime = node['pentester']['crackmapexec']['python_runtime'].to_s
runtime_options = node['pentester']['python']['runtime_options'][runtime]

python_runtime runtime do
  options runtime_options if runtime_options
end

python_virtualenv 'crackmapexec' do
  action :nothing
  path "#{node['pentester']['crackmapexec']['install_dir']}/venv"
  python runtime
end

python_execute 'install-crackmapexec' do
  action :nothing
  python runtime
  command 'setup.py install'
  cwd node['pentester']['crackmapexec']['install_dir']
  virtualenv 'crackmapexec'
end

git node['pentester']['crackmapexec']['install_dir'] do
  action :sync
  repository node['pentester']['crackmapexec']['git_repository']
  reference node['pentester']['crackmapexec']['git_reference']
  enable_submodules true
  notifies :create, 'python_virtualenv[crackmapexec]', :immediately
  notifies :run, 'python_execute[install-crackmapexec]', :immediately
end
