# Cookbook:: pentester
# Recipe:: jackit
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

include_recipe 'git'

runtime = node['pentester']['jackit']['python_runtime'].to_s
runtime_options = node['pentester']['python']['runtime_options'][runtime]

python_runtime runtime do
  options runtime_options if runtime_options
end

python_execute 'install-jackit-dependencies' do
  action :nothing
  python runtime
  cwd node['pentester']['jackit']['install_dir']
  command '-m pip install .'
end

git node['pentester']['jackit']['install_dir'] do
  action :sync
  repository node['pentester']['jackit']['git_repository']
  reference node['pentester']['jackit']['git_reference']
  notifies :run, 'python_execute[install-jackit-dependencies]', :immediately
end
