# Cookbook:: pentester
# Recipe:: msf_config
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

msf = node['pentester']['msf']
msf_db = msf['db'].dup
if msf['use_db']
  item = data_bag_item(node['pentester']['databag_name'],
                       node['pentester']['databag_items']['msf'])
  msf_db.merge!(item['db'])
end

template "#{msf['install_dir']}/config/database.yml" do
  owner 'root'
  group 'root'
  source 'msf/database.yml.erb'
  variables msf: msf_db
end
